=== debian/changelog ===
ros-kinetic-fetch-gazebo (0.8.2-0xenial) xenial; urgency=high



 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Thu, 28 Mar 2019 07:00:00 -0000

ros-kinetic-fetch-gazebo (0.8.1-0xenial) xenial; urgency=high

  * The release fast-forwarded the gazebo7 branch, and reverted breaking changes from gazebo9
  * Merge pull request #41 <https://github.com/fetchrobotics/fetch_gazebo/issues/41> from moriarty/gazebo7-new
    Fast Forward Gazebo7, and revert breaking changes for Gazebo 9
    * Related to #39 <https://github.com/fetchrobotics/fetch_gazebo/issues/39> which was a similar fast forward and revert for Gazebo 2.
    * Also cherry-picks #43 <https://github.com/fetchrobotics/fetch_gazebo/issues/43> and #45 <https://github.com/fetchrobotics/fetch_gazebo/issues/45>
  * [package.xml] adds: license(BSD), author, maintainers (#45 <https://github.com/fetchrobotics/fetch_gazebo/issues/45>)
    * [package.xml] update maintainers
    * [fetchit_challenge] adds license(BSD), author, maintainers
    * [fetchit_challenge] add <url> tags to package.xml
    This cherry-picks ccb5ad3f40cedc2944a9b3d6fab8d75239a9997b (#45 <https://github.com/fetchrobotics/fetch_gazebo/issues/45>)
  * [CMake/Catkin] fetch_gazebo install headers (cherry-pick #43 <https://github.com/fetchrobotics/fetch_gazebo/issues/43>)
    catkin_make_isolated --install would fail because we were not installing the header files
    This cherry-picks #43 <https://github.com/fetchrobotics/fetch_gazebo/issues/43>
    This fixes #42 <https://github.com/fetchrobotics/fetch_gazebo/issues/42>
  * Reverts and reverted changes
    * Revert [gazebo9] Merge pull request #24 <https://github.com/fetchrobotics/fetch_gazebo/issues/24><string>:3: (INFO/1) Duplicate explicit target name: "#24".
    
    "Merge pull request #24 from mikeferguson/gazebo9"
    This reverts commit eecb032ded6f675ded81e477087218a2079944fa, reversing
    changes made to 545769af5fd77aef83e0c182f74e577c983a4ea7.
    
      * Revert "Merge pull request #25 <https://github.com/fetchrobotics/fetch_gazebo/issues/25> ... rosdep"
        Merge pull request #25 <https://github.com/fetchrobotics/fetch_gazebo/issues/25> from stfuchs/fix/melodic-rosdep
        This reverts commit fce68bf44ce2d214edd11f705e61590efbafa1fe, reversing
        changes made to eecb032ded6f675ded81e477087218a2079944fa.
      * Revert PR #29 <https://github.com/fetchrobotics/fetch_gazebo/issues/29> "[CMake][package] ... REP-140"
        [CMake][package] Clean CMake warnings and REP-140 (#29 <https://github.com/fetchrobotics/fetch_gazebo/issues/29>)"
        This reverts commit 36bf32339acb8763360e63b76b45927c1032ae61.
      * [CMake][package] Clean CMake warnings and REP-140 (#29 <https://github.com/fetchrobotics/fetch_gazebo/issues/29>)
        This cleans up some, but misses one warning- might be coming from gazebo
        itself.
        Also moved to package.xml format 2
      * Merge pull request #25 <https://github.com/fetchrobotics/fetch_gazebo/issues/25> from stfuchs/fix/melodic-rosdep
        change rosdep from gazebo7 to gazebo9
      * Merge pull request #24 <https://github.com/fetchrobotics/fetch_gazebo/issues/24> from mikeferguson/gazebo9
        fixes for gazebo9 (melodic)
    
  * updates for gazebo7
  * Contributors: Alexander Moriarty, Michael Ferguson, Russell Toris, Steffen Fuchs

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-kinetic-fetch-gazebo (0.8.0-0xenial) xenial; urgency=high

  * update rosdeps for gazebo5
  * add arg z/yaw for spawning robot
  * Contributors: Michael Ferguson, Yuki Furuta

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Tue, 27 Dec 2016 08:00:00 -0000

ros-kinetic-fetch-gazebo (0.7.1-0xenial) xenial; urgency=high

  * robot launch files publish base_scan_raw
  * working version of the merged demos
  * Contributors: Di Sun, Andrew Vaziri

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Sat, 27 Feb 2016 08:00:00 -0000

ros-kinetic-fetch-gazebo (0.7.0-0xenial) xenial; urgency=high

  * add run depend on gazebo_plugins
  * Contributors: Michael Ferguson

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Wed, 04 Nov 2015 08:00:00 -0000

ros-kinetic-fetch-gazebo (0.6.2-0xenial) xenial; urgency=high

  * Fixed number of samples for the laser scanner
    Real laser scan has 662 samples
  * Update test_zone.sdf, had two </world> tag
  * Contributors: Alex Henning, Kei Okada

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Sun, 13 Sep 2015 07:00:00 -0000

ros-kinetic-fetch-gazebo (0.6.1-0xenial) xenial; urgency=high

  * add headless argument to launch files
  * Contributors: Michael Ferguson

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Sun, 28 Jun 2015 07:00:00 -0000

ros-kinetic-fetch-gazebo (0.6.0-0xenial) xenial; urgency=high

  * add check to prevent running prepare script on a real robot
  * Contributors: Michael Ferguson

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Wed, 24 Jun 2015 07:00:00 -0000

ros-kinetic-fetch-gazebo (0.5.1-0xenial) xenial; urgency=high

  * forget install models
  * Contributors: Kei Okada

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-kinetic-fetch-gazebo (0.5.0-0xenial) xenial; urgency=high

  * apply filter to velocity
  * implement servo loop
    * position wraps velocity controller
    * velocity limits are now loaded for continuous joints
    * retuned all but base motors
  * Contributors: Michael Ferguson

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-kinetic-fetch-gazebo (0.4.4-0xenial) xenial; urgency=high

  * use centering controller for gripper
  * Contributors: Michael Ferguson

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-kinetic-fetch-gazebo (0.4.3-0xenial) xenial; urgency=high

  * base_link collision mesh is updated, fix laser min range
  * Change retrieval of effort limits/continuous state from parameters to URDF
  * Contributors: Michael Ferguson, Michael Hwang


