=== debian/control ===
Source: ros-kinetic-fetch-gazebo
Section: misc
Priority: extra
Maintainer: Alex Moriarty <amoriarty@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libgazebo7-dev, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-control-toolbox, ros-kinetic-gazebo-ros, ros-kinetic-robot-controllers, ros-kinetic-robot-controllers-interface
Homepage: http://ros.org/wiki/fetch_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-fetch-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo7, ros-kinetic-actionlib, ros-kinetic-control-toolbox, ros-kinetic-depth-image-proc, ros-kinetic-fetch-description, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros, ros-kinetic-geometry-msgs, ros-kinetic-image-proc, ros-kinetic-nodelet, ros-kinetic-rgbd-launch, ros-kinetic-robot-controllers, ros-kinetic-robot-controllers-interface, ros-kinetic-trajectory-msgs, ros-kinetic-xacro
Description: Gazebo package for Fetch.
